# -*- coding: cp1252 -*-
#/usr/bin/env python
#Simon H. Larsen
#Buttons
#Project startet: d. 26. august 2012
import pygame
from pygame.locals import *
pygame.init()
class Button:
    def __init__(self, surface, color, x, y, length, height, width, symbol):
        self.surface = surface
        self.color = color
        self.x = x
        self.y = y
        self.length = length
        self.height= height
        self.width = width
        self.symbol = symbol
        self.rect = False

    def create_button(self):
        surface = self.draw_button(self.surface, self.color, self.length, self.height, self.x, self.y, self.width)
        #surface = self.write_text(surface, symbol.surf, length, height, x, y)
        self.symbol.draw(surface, ((self.x+self.length/2) - self.symbol.surf.get_width()/2, (self.y+self.height/2) - self.symbol.surf.get_height()/2))
        self.rect = pygame.Rect(self.x, self.y, self.length, self.height)

    def draw_button(self, surface, color, length, height, x, y, width):           
        for i in range(1,10):
            s = pygame.Surface((length+(i*2),height+(i*2))).convert_alpha()
            s.fill(color)
            alpha = (255/(i+2))
            if alpha <= 0:
                alpha = 1
            s.set_alpha(alpha)
            pygame.draw.rect(s, color, (x-i,y-i,length+i,height+i), width)
            surface.blit(s, (x-i,y-i))
        pygame.draw.rect(surface, color, (x,y,length,height), 0)
        pygame.draw.rect(surface, (190,190,190), (x,y,length,height), 1)  
        return surface

    def pressed(self, mouse):
        if not self.rect:
            return
        if mouse[0] > self.rect.topleft[0]:
            if mouse[1] > self.rect.topleft[1]:
                if mouse[0] < self.rect.bottomright[0]:
                    if mouse[1] < self.rect.bottomright[1]:
                        #print "Some button was pressed!"
                        return True
                    else: return False
                else: return False
            else: return False
        else: return False
